---
{{ template "common.ConfigMap" (list . "kanidm.ConfigMap") }}

{{- define "kanidm.ConfigMap" }}
data:
  server.toml: |
    bindaddress = "[::]:8443"

    db_path = "/data/kanidm.db"

    tls_chain = "/certs/tls.crt"
    tls_key = "/certs/tls.key"

    trust_x_forward_for = true

    domain = "{{ .Values.config.domain }}"
    origin = "{{ .Values.config.origin }}"
{{- end }}
